#
# spec file for package 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:       chromebook-ucm-profiles
Version:	0.1
Release:	3.3
License:	LGPL-2.1+
Summary:	Chromebook specific UCM Profiles for ALSA
Group:		System/Libraries
Source0:	DAISY-I2S.tar.bz2
Source1:    90-alsa-ucm.rules
Url:		http://git.chromium.org/gitweb/?p=chromiumos/third_party/alsa-lib.git;a=tree
BuildArch:	noarch
Requires:	alsa
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
UCM profiles for Advanced Linux Sound Architecture. These are required for audio on the chromebook.

%prep
%setup -q -n DAISY-I2S

%build

%install
mkdir -p %{buildroot}%{_datadir}/alsa/ucm/DAISY-I2S
mkdir -p %{buildroot}/usr/lib/udev/rules.d
install -m 0644 DAISY-I2S.conf %{buildroot}%{_datadir}/alsa/ucm/DAISY-I2S/DAISY-I2S.conf
install -m 0644 HiFi.conf %{buildroot}%{_datadir}/alsa/ucm/DAISY-I2S/HiFi.conf
install -m 0644 $RPM_SOURCE_DIR/90-alsa-ucm.rules %{buildroot}/usr/lib/udev/rules.d

%files
%defattr(-,root,root)
%dir %{_datadir}/alsa
%dir %{_datadir}/alsa/ucm
%dir %{_datadir}/alsa/ucm/DAISY-I2S
%dir /usr/lib/udev
%dir /usr/lib/udev/rules.d
%{_datadir}/alsa/ucm/DAISY-I2S/DAISY-I2S.conf
%{_datadir}/alsa/ucm/DAISY-I2S/HiFi.conf
/usr/lib/udev/rules.d/90-alsa-ucm.rules

%changelog
* Thu Apr 11 2013 rschweikert@suse.com
- Add udev rule to setup the sound device by default
* Wed Jan  9 2013 awafaa@opensuse.org
- Fix file permissions of DAISY-I2S.conf & HiFi.conf
* Thu Dec 13 2012 awafaa@opensuse.org
- Initial import for openSUSE version 0.1
